function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Introduction to Flash Accel","0");
var B=A.fN("Flash Accel features","1");
B=A.fN("Flash Accel components","2");
B=A.fN("How Flash Accel manages read and write operations","3");
A=P.fN("Prerequisites for using Flash Accel","4");
B=A.fN("Host system requirements","5");
B=A.fN("Flash device requirements","6");
B=A.fN("Virtual machine system requirements","7");
B=A.fN("Flash Accel Management Console requirements","8");
var C=B.fN("Flash Accel Management Console host requirements","9");
C=B.fN("Flash Accel Management Console resource recommendations","10");
C=B.fN("Flash Accel Management Console networking information","11");
C=B.fN("Flash Accel Management Console web browser requirements","12");
A=P.fN("Getting started with Flash Accel","13");
B=A.fN("Downloading Flash Accel installation files","14");
B=A.fN("Installing the Flash Accel Management Console","15");
B=A.fN("Logging in to the Flash Accel Management Console","16");
B=A.fN("Configuring the Flash Accel Management Console","17");
C=B.fN("Defining a custom role for the FAMC administrator","18");
C=B.fN("Connecting to the vCenter Server","19");
C=B.fN("Setting default host and virtual machine credentials","20");
C=B.fN("Specifying connection information manually for hosts and virtual machines","21");
B=A.fN("Discovering hosts and virtual machines","22");
B=A.fN("Importing Flash Accel agents","23");
B=A.fN("Installing Flash Accel Host Agents","24");
B=A.fN("Assigning and initializing flash devices","25");
B=A.fN("Installing Flash Accel Guest OS Agents","26");
B=A.fN("Preparing for vMotion migration","27");
C=B.fN("Selecting a migration policy","28");
C=B.fN("Overriding the migration policy","29");
B=A.fN("Enabling VMs and disks for caching","30");
A=P.fN("Managing Flash Accel caching systems","31");
B=A.fN("Understanding the user interface","32");
C=B.fN("Viewing resource details","33");
var D=C.fN("Viewing host details","34");
D=C.fN("Viewing virtual machine details","35");
D=C.fN("Viewing disk details","36");
C=B.fN("Selecting resources","37");
C=B.fN("Viewing operational status","38");
D=C.fN("Operational status values","39");
D=C.fN("Operational status icons","40");
B=A.fN("Assigning and unassigning flash devices","41");
C=B.fN("Assigning and initializing flash devices","42");
C=B.fN("Unassigning flash devices","43");
B=A.fN("Setting the cache size for virtual machines","44");
C=B.fN("Allocating cache","45");
C=B.fN("Deallocating cache space","46");
C=B.fN("Changing the cache block size","47");
C=B.fN("Reformatting the cache","48");
B=A.fN("Setting the cache state for virtual machines and disks","49");
C=B.fN("Enabling caching","50");
C=B.fN("Disabling caching","51");
B=A.fN("Setting the cache mode for virtual machines and disks","52");
B=A.fN("Managing cache metrics","53");
C=B.fN("Specifying cache metrics collection for virtual machines and disks","54");
D=C.fN("Enabling cache metrics collection","55");
D=C.fN("Disabling cache metrics collection","56");
C=B.fN("Clearing cache metrics for a virtual machine","57");
C=B.fN("Viewing current cache performance for virtual machines and disks","58");
C=B.fN("Viewing historical cache performance for a virtual machine","59");
C=B.fN("Viewing historical cache performance for many virtual machines","60");
B=A.fN("Refreshing resources","61");
C=B.fN("Refreshing resources automatically","62");
C=B.fN("Refreshing resources manually","63");
B=A.fN("Managing Flash Accel console logs","64");
C=B.fN("Viewing Flash Accel console logs","65");
C=B.fN("Setting the console log level","66");
C=B.fN("Exporting Flash Accel console logs","67");
B=A.fN("Exporting and importing FAMC configuration information","68");
B=A.fN("Changing the Flash Accel Management Console password","69");
A=P.fN("Administering the Flash Accel Management Console","70");
B=A.fN("Logging in to the AMT","71");
B=A.fN("Monitoring FAMC status","72");
B=A.fN("Viewing and editing the network interface for the FAMC virtual machine","73");
C=B.fN("Viewing IP address settings for the FAMC virtual machine","74");
C=B.fN("Editing IP address settings for the FAMC virtual machine","75");
C=B.fN("Viewing DNS settings for the FAMC virtual machine","76");
C=B.fN("Editing DNS search settings for the FAMC virtual machine","77");
C=B.fN("Pinging a resource from the FAMC virtual machine","78");
B=A.fN("Performing system management tasks","79");
C=B.fN("Rebooting the operating system for the FAMC virtual machine","80");
C=B.fN("Shutting down the operating system for the FAMC virtual machine","81");
C=B.fN("Restarting the Apache web server for the FAMC","82");
C=B.fN("Restarting the MySQL database server for the FAMC","83");
C=B.fN("Changing the AMT user password","84");
A=P.fN("Upgrading and uninstalling Flash Accel components","85");
B=A.fN("Upgrading Flash Accel components","86");
C=B.fN("Downloading Flash Accel upgrade files","87");
C=B.fN("Importing upgraded Flash Accel agents","88");
C=B.fN("Upgrading Flash Accel Guest OS Agents","89");
C=B.fN("Upgrading Flash Accel Host Agents","90");
B=A.fN("Uninstalling Flash Accel","91");
C=B.fN("Uninstalling Flash Accel Guest OS Agents","92");
C=B.fN("Uninstalling Flash Accel Host Agents","93");
C=B.fN("Uninstalling the Flash Accel Management Console","94");
A=P.fN("Flash Accel PowerShell cmdlets","95");
B=A.fN("Importing Flash Accel PowerShell cmdlets","96");
B=A.fN("Clear Flash Accel metrics","97");
B=A.fN("Format Flash Accel cache","98");
B=A.fN("Get Flash Accel cache attributes","99");
B=A.fN("Get Flash Accel data device attributes","100");
B=A.fN("Get Flash Accel configuration options cmdlet","101");
B=A.fN("Reset Flash Accel device cache","102");
B=A.fN("Set Flash Accel cache attributes","103");
B=A.fN("Set Flash Accel data device attributes","104");
B=A.fN("Set Flash Accel configuration options","105");
B=A.fN("Performance metrics reported by the Flash Accel PowerShell cmdlets","106");
A=P.fN("Flash Accel messages","107");
B=A.fN("Windows events logged by Flash Accel","108");
B=A.fN("VM kernel log messages from Flash Accel","109");
A=P.fN("Flash Accel Guest OS Agent files","110");
A=P.fN("Websites","111");
A=P.fN("Copyright information","112");
A=P.fN("Trademark information","113");
}
