/*
 *  Flash Accel Management Console (FMC)
 *  Copyright (C) 2013, NetApp, Inc.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 *  Javascript
 *
 *    Farbtastic - Copyright (c) 2010 Matt Farina
 *
 *    jQuery - Copyright (c) 2010 John Resig
 * 
 *    jQuery BBQ - Copyright (c) 2010 "Cowboy" Ben Alman
 *  
 *    jQuery Cookie - Copyright (c) 2006 Klaus Hartl
 *  
 *    jQuery Form - Copyright (c) 2010 Mike Alsup
 *  
 *    jQuery Once - Copyright (c) 2009 Konstantin K\ufffdfer
 *
 *    jQuery UI - Copyright (c) 2010 by the original authors
 *      (http://jqueryui.com/about)
 *
 *    Sizzle.js - Copyright (c) 2010 The Dojo Foundation (http://sizzlejs.com/)
 *
 *  PHP
 *
 *    ArchiveTar - Copyright (c) 1997 - 2008 Vincent Blavet
 */

/* 
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
var host = 0;
var vm = 0;
var vdisk = 0;
var refine = 0;

jQuery(document).ready(function() {
		
		// codes for the select links in the discovery settings page
		jQuery('.s-all').click(function(e) {
        e.preventDefault();
				jQuery('#mercury-utilities-cron-settings-form .selectable .form-checkbox').attr('checked', 'checked');
		});
		jQuery('.s-host').click(function() {
				jQuery('#mercury-utilities-cron-settings-form .form-checkbox').removeAttr('checked');
				jQuery('.host-row .form-checkbox').each(function() {
						jQuery(this).attr('checked', 'checked');
				});
		});
		jQuery('.s-vm').click(function() {
				jQuery('#mercury-utilities-cron-settings-form .form-checkbox').removeAttr('checked');
				jQuery('.vm-row .form-checkbox').each(function() {
						jQuery(this).attr('checked', 'checked');
						jQuery(this).parents('.mercury-host-block').find('.form-checkbox').attr('checked','checked');
				});
		});
		jQuery('.s-r-all').click(function(e) {
        e.preventDefault();
				jQuery('#mercury-utilities-cron-settings-form .selectable .form-checkbox').removeAttr('checked');
		});
    jQuery('.enable-takeover').click(function(e) {
        e.preventDefault();
				jQuery('#mercury-utilities-cron-settings-form .disable-datacenter .form-checkbox').removeAttr('disabled');
        jQuery('#mercury-utilities-cron-settings-form .disable-datacenter label.option span').removeClass('disable-dc');
        jQuery('#mercury-utilities-cron-settings-form .disable-datacenter label.option span').addClass('enable-dc');
        jQuery('#mercury-utilities-cron-settings-form span.disable-datacenter').addClass('selectable');
		});
    jQuery('.disable-takeover').click(function(e) {
        e.preventDefault();
        jQuery('#mercury-utilities-cron-settings-form .disable-datacenter').removeClass('selectable');
				jQuery('#mercury-utilities-cron-settings-form .disable-datacenter .form-checkbox').attr('disabled', 'disabled');
        jQuery('#mercury-utilities-cron-settings-form .disable-datacenter .form-checkbox').removeAttr('checked', 'checked');
        jQuery('#mercury-utilities-cron-settings-form .disable-datacenter label.option span').removeClass('enable-dc');
        jQuery('#mercury-utilities-cron-settings-form .disable-datacenter label.option span').addClass('disable-dc');
		});
		
    jQuery('#user-profile-form .password-parent label').text('New Password');
    if(ReadCookie('expand_all') == 1) {
        var get_host_id = '';
        var get_vm_id = '';
        jQuery('.mercury-host-block').each(function(index) {
            get_host_id = jQuery(this).attr('id');
            jQuery('#'+get_host_id+' .host-details-info').slideDown();
            jQuery('#'+get_host_id+' .host-row a.expand-collapse').removeClass('plus');
            jQuery('#'+get_host_id+' .mercury-vm-block').each(function(index) {
                get_vm_id = jQuery(this).attr('id');
                jQuery('#'+get_vm_id+' .mercury-vdisk-block').slideDown();
                jQuery('#'+get_vm_id+' .vm-row a.expand-collapse').removeClass('plus');
            });
        });

      jQuery(this).parent('#expand-all').addClass('active');
      jQuery('#collapse-all').removeClass('active');
    }
    
    var expanded_host_str = ReadCookie('expanded_host');
    expanded_host_array = expanded_host_str.split('||');
    for(i = 0; i < expanded_host_array.length - 1; i++ ) {
        jQuery('#' + expanded_host_array[i]).children('.expand-collapse').removeClass('plus');
        jQuery('#' + expanded_host_array[i]).parents('.mercury-host-block').children('.host-details-info').show();
        jQuery('#' + expanded_host_array[i]).parents('.mercury-host-block').children('.expand-collapse').removeClass('plus');
        jQuery('#' + expanded_host_array[i]).parents('.mercury-host-block').children('.mercury-vdisk-block').show();
        
    }

    jQuery('.expand-collapse-block #collapse-all a').click(function(e){
        e.preventDefault();
        var get_host_id = '';
        var get_vm_id = '';
        jQuery('.mercury-host-block').each(function(index) {
            get_host_id = jQuery(this).attr('id');
            jQuery('#'+get_host_id+' .host-details-info').slideUp();
            jQuery('#'+get_host_id+' .host-row a.expand-collapse').addClass('plus'); 
        });
       // jQuery('.mercury-host-block .host-details-info').slideUp();
       // jQuery('.mercury-host-block .mercury-vdisk-block').css('display','none');
        //jQuery('.host-row a.expand-collapse').addClass('plus');
       // jQuery('.vm-row a.expand-collapse').addClass('plus');

        jQuery(this).parent('#collapse-all').addClass('active');
        jQuery('#expand-all').removeClass('active');
        
        SetCookie('expand_all',0);
        SetCookie('expanded_host','');
    });

    jQuery('.expand-collapse-block #expand-all a').click(function(e){
        e.preventDefault();
        var get_host_id = '';
        var get_vm_id = '';
        jQuery('.mercury-host-block').each(function(index) {
            get_host_id = jQuery(this).attr('id');
            jQuery('#'+get_host_id+' .host-details-info').slideDown();
            jQuery('#'+get_host_id+' .host-row a.expand-collapse').removeClass('plus');
            jQuery('#'+get_host_id+' .mercury-vm-block').each(function(index) {
                get_vm_id = jQuery(this).attr('id');
                jQuery('#'+get_vm_id+' .mercury-vdisk-block').slideDown();
                jQuery('#'+get_vm_id+' .vm-row a.expand-collapse').removeClass('plus');
            });
        });
        //jQuery('.mercury-host-block .host-details-info').slideDown();
        //jQuery('.mercury-host-block .mercury-vdisk-block').slideDown();
        //jQuery('.host-row a.expand-collapse').removeClass('plus');
        //jQuery('.vm-row a.expand-collapse').removeClass('plus');

        jQuery(this).parent('#expand-all').addClass('active');
        jQuery('#collapse-all').removeClass('active');
        
        SetCookie('expand_all',1);
        SetCookie('expanded_host','');
    });
    
    jQuery('.wrench-menu-vdisk .vm-disk-refresh-link').click(function(e) {
       e.preventDefault();
       location.reload();
    });
    /*jQuery('.host-row').click(function(){
        jQuery(this).children('.expand-collapse').toggleClass('plus');
        jQuery(this).parents('.mercury-host-block').children('.host-details-info').slideToggle();
        if(!jQuery(this).children('.expand-collapse').hasClass('plus')) {
            var expanded_host = ReadCookie('expanded_host');
            var host_id = jQuery(this).attr('id') + '||';
            expanded_host = expanded_host.replace(host_id,""); 
            expanded_host += host_id;
            
            SetCookie('expanded_host',expanded_host);
        }
        else {
            expanded_host = ReadCookie('expanded_host');
            var host_id = jQuery(this).attr('id') + '||';
            expanded_host = expanded_host.replace(host_id,""); 
            SetCookie('expanded_host',expanded_host);
        }
       
    });
    */
    
    //Hide the Wrench Menu 
    jQuery('.host-vms-section').live('click', function(e){    	
    	jQuery('.wrench-menu-vm').each(function() {
			if (jQuery(this).is(':visible')) {
				jQuery(this).hide();
				jQuery('img.wrench').attr('src','/sites/all/modules/custom/mercury_utilities/images/wrench.png');
			}
		});
    	e.stopPropagation();
    });

    jQuery('.vm-row').live('click',function(){
        jQuery(this).children('.expand-collapse').toggleClass('plus');
        jQuery(this).parents('.mercury-vm-block').children('.mercury-vdisk-block').slideToggle();
    });
    
    jQuery('.vm-row').live('click',function(){
        jQuery(this).children('.expand-collapse').toggleClass('plus');
        jQuery(this).parents('.mercury-vm-block').children('.mercury-vdisk-block').slideToggle();
    });
    
    //Stop propagation of JS Click Event
    jQuery('.vm-row .checkbox, .mercury-host-block .datacenter-header, .mercury-row .checkbox.vm, .vm-row .row-title a, .vm-row select, .vm-row .wrench, .vm-row .mercury-button').click(function(event){
        event.stopPropagation();
    });
    jQuery('.host-row .checkbox, .host-row .row-title a, .host-row select, .host-row #column-4, .host-row .wrench, .host-row .mercury-button, #mercury-utilities-cron-settings-form .host-row .form-checkbox').click(function(event){
        event.stopPropagation();
    });

    jQuery('.mercury-host-block .select-content').change(function(){
        
        //jQuery(".mercury-host-block .select-content option:selected").each(function () {
         
                var selected_val = jQuery(this).val();
                if(selected_val == 'select-all') {
                    
                    jQuery(this).parents('.mercury-host-block').children('.host-details-info').slideDown();
                    jQuery(this).parents('.mercury-host-block').children('.mercury-vdisk-block').slideDown();
                    jQuery(this).parents('.mercury-host-block').find('.host-row a.expand-collapse').removeClass('plus');
                    jQuery(this).parents('.mercury-host-block').children('.vm-row a.expand-collapse').removeClass('plus');
                    jQuery(this).parents('.mercury-host-block').find('.checkbox').attr('checked','checked');

                    jQuery(this).parents('.mercury-host-block').find('.mercury-row').addClass('selected');
                    
                    if(!jQuery(this).parents('.host-row').children('.expand-collapse').hasClass('plus')) {
                        var expanded_host = ReadCookie('expanded_host');
                        var host_id  = jQuery(this).parents('.host-row').attr('id') + '||';
                        expanded_host = expanded_host.replace(host_id,"");
                        expanded_host += host_id;
                        
                        SetCookie('expanded_host',expanded_host);
                    }
                    else {
                        expanded_host = ReadCookie('expanded_host');
                        var host_id = jQuery(this).parents('.host-row').attr('id') + '||';
                        expanded_host = expanded_host.replace(host_id,""); 
                        SetCookie('expanded_host',expanded_host);
                    }
                    
                }
                if(selected_val == 'select-flash') {
                        
                    jQuery(this).parents('.mercury-host-block').children('.host-details-info').slideDown();
                    jQuery(this).parents('.mercury-host-block').children('.mercury-vdisk-block').slideDown();
                    jQuery(this).parents('.mercury-host-block').find('.host-row a.expand-collapse').removeClass('plus');
                    jQuery(this).parents('.mercury-host-block').children('.vm-row a.expand-collapse').removeClass('plus');
                
                    jQuery(this).parents('.mercury-host-block').find('.checkbox').removeAttr('checked');
                    jQuery(this).parents('.mercury-host-block').find('.flash').attr('checked','checked');
                    jQuery(this).parents('.mercury-host-block').find('.mercury-row').removeClass('selected');
                     var id = jQuery(this).parents('.mercury-host-block').attr('id');
                    jQuery( '#'+id+' input.flash').parents('.mercury-row').addClass('selected');
                    
                    if(!jQuery(this).parents('.host-row').children('.expand-collapse').hasClass('plus')) {
                        var expanded_host = ReadCookie('expanded_host');
                        var host_id  = jQuery(this).parents('.host-row').attr('id') + '||';
                        expanded_host = expanded_host.replace(host_id,"");
                        expanded_host += host_id;
                        
                        SetCookie('expanded_host',expanded_host);
                    }
                    else {
                        expanded_host = ReadCookie('expanded_host');
                        var host_id = jQuery(this).parents('.host-row').attr('id') + '||';
                        expanded_host = expanded_host.replace(host_id,""); 
                        SetCookie('expanded_host',expanded_host);
                    }
                    
                }
                if(selected_val == 'select-no-flash') {
                        
                    jQuery(this).parents('.mercury-host-block').children('.host-details-info').slideDown();
                    jQuery(this).parents('.mercury-host-block').children('.mercury-vdisk-block').slideDown();
                    jQuery(this).parents('.mercury-host-block').find('.host-row a.expand-collapse').removeClass('plus');
                    jQuery(this).parents('.mercury-host-block').children('.vm-row a.expand-collapse').removeClass('plus');
                
                    jQuery(this).parents('.mercury-host-block').find('.checkbox').removeAttr('checked');
                    jQuery(this).parents('.mercury-host-block').find('.no-flash').attr('checked','checked');
                    jQuery(this).parents('.mercury-host-block').find('.mercury-row').removeClass('selected');
                    var id = jQuery(this).parents('.mercury-host-block').attr('id');
                    jQuery( '#'+id+' input.no-flash').parents('.mercury-row').addClass('selected');
                    
                    if(!jQuery(this).parents('.host-row').children('.expand-collapse').hasClass('plus')) {
                        var expanded_host = ReadCookie('expanded_host');
                        var host_id  = jQuery(this).parents('.host-row').attr('id') + '||';
                        expanded_host = expanded_host.replace(host_id,"");
                        expanded_host += host_id;
                        
                        SetCookie('expanded_host',expanded_host);
                    }
                    else {
                        expanded_host = ReadCookie('expanded_host');
                        var host_id = jQuery(this).parents('.host-row').attr('id') + '||';
                        expanded_host = expanded_host.replace(host_id,""); 
                        SetCookie('expanded_host',expanded_host);
                    }
                    
                }
                if(selected_val == 'select-content') {
                    jQuery('.mercury-host-block .checkbox').removeAttr('checked');
                    jQuery('.mercury-host-block .mercury-row').removeClass('selected');
                
                    jQuery('#block-menu-menu-refine').css('display', 'none');
                    jQuery('#block-menu-menu-refine li a.refine-item-caching').css('display', 'none');
                    jQuery('#block-menu-menu-refine li a.refine-item-flash-accel').css('display', 'none');
                
                  
                
                    jQuery('#block-menu-menu-refine li').removeClass('selected');
                    jQuery('#block-menu-menu-selector-tool li').removeClass('selected');
                     jQuery('li.caching-disabled').removeClass('selected');
                     jQuery('li.caching-enabled').removeClass('selected');
                     jQuery('li.flash-accel-not-installed').removeClass('selected');
                     jQuery('li.flash-accel-installed').removeClass('selected');
                
                    vdisk = 0;
                    vm =0;
                    host = 0;
                
                }
             // });

    });
     
    /**
     * Selector Tool for VM
     */

    jQuery('.selector-tool-item-vm').click(function(e){
        e.preventDefault();
        
      /*jQuery('#block-mercury_utilities-bulk_actions_block').css('display', 'none');
        jQuery('#install_bundle a').css('display', 'none');
        jQuery('#uninstall_bundle a').css('display', 'none');
        jQuery('#install_flash_msi a').css('display', 'none');
        jQuery('#uninstall_flash_msi a').css('display', 'none');*/
       
        jQuery(this).parent('li').addClass('selected');
        jQuery(this).parents('ul').children('.vm-unselector').removeClass('selected');
        jQuery(this).parents('ul').children('ul.vm_refine').children('.refine-leaf').removeClass('selected');

        jQuery('.header-checkbox .checkbox.vm-header').attr('checked','checked');
        jQuery('.columns').addClass('selected');
        jQuery('.host-row .expand-collapse').removeClass('plus');
        jQuery('.mercury-host-block .host-details-info').slideDown();
      
        //jQuery('#block-menu-menu-refine').css('display', 'block');
        //Display the Refine Menu links
        jQuery('#block-vm-refine').css('display', 'block');
        jQuery('#block-mercury_utilities-bulk_actions_vm_block').css('display', 'block');
        
        //jQuery('#block-menu-menu-refine li a.refine-item-flash-accel').css('display', 'block');
					
        /*/Display all the Vdisk Bulk actions menus
        jQuery('#block-mercury_utilities-bulk_actions_block').css('display', 'block');
        jQuery('#change_cache_mode a').css('display', 'block');
        jQuery('#change_cache_state a').css('display', 'block');*/
        SetCookie('expand_all',1);
        SetCookie('expanded_host','');    
                
        jQuery('.mercury-row .checkbox.vm').each(function(index) {
        	jQuery('.mercury-row .checkbox.vm').attr('checked','checked');
            var is_checked = jQuery(this).attr('checked');
            if(is_checked) {
                select_none = 1;
            }
        });
        
        jQuery('.header-checkbox .checkbox.datacenter-header').each(function(index) {
        	jQuery('.header-checkbox .checkbox.datacenter-header').attr('checked','checked');
        });
        
        //Adding checkbox control to all checkbox on VM-Inventory page
        jQuery('.pane-all-vm .views-table .checkbox').attr('checked','checked');        
        jQuery('.pane-all-vm .views-table .all-vm-checkbox').attr('checked','checked');        
        jQuery('.pane-all-vm .views-table td.views-field').addClass('selected');        
        //End of VM-Inventory page checkbox functionality
      
    });
    
    /**
     * Selector Tool Refine for VM (Flash Accel Installed)
     */
    jQuery('#block-vm-refine .vm-flash-accel-installed').click(function(e){
      e.preventDefault();      
      jQuery(this).parents('ul').children('.refine-leaf').removeClass('selected');
      jQuery(this).parent('li').addClass('selected');
      jQuery('.header-checkbox .checkbox.datacenter-header').removeAttr('checked');
      jQuery('.mercury-row .columns').removeClass('selected');
      jQuery('.mercury-row .checkbox.vm').removeAttr('checked');
      
      jQuery('.pane-all-vm .views-table .checkbox').removeAttr('checked');        
      jQuery('.pane-all-vm .views-table .all-vm-checkbox').removeAttr('checked');        
      jQuery('.pane-all-vm .views-table td.views-field').removeClass('selected'); 
            
      jQuery('.mercury-row.flash .checkbox.vm').attr('checked', 'checked');
      jQuery('.mercury-row.flash .columns').addClass('selected'); 
      jQuery('.pane-all-vm .views-table tr.flash td.views-field').addClass('selected');
      jQuery('.pane-all-vm .views-table tr.flash .checkbox').attr('checked', 'checked');
      var nothing_checked = 0;
      jQuery('.mercury-row .checkbox').each(function(index) {
        var is_checked = jQuery(this).attr('checked');
        if (is_checked) {
            nothing_checked = 1;
        }
      });
      if (nothing_checked == 0) {
        jQuery('#block-mercury_utilities-bulk_actions_vm_block').css('display', 'none');
      } else {
        jQuery('#block-mercury_utilities-bulk_actions_vm_block').css('display', 'block');
      }
    });
    
    /**
     * Selector Tool Refine for VM (Flash Accel Not Installed)
     */
    jQuery('#block-vm-refine .vm-flash-accel-uninstalled').click(function(e){
      e.preventDefault();
      jQuery(this).parents('ul').children('.refine-leaf').removeClass('selected');
      jQuery(this).parent('li').addClass('selected');
      jQuery('.header-checkbox .checkbox.datacenter-header').removeAttr('checked');
      jQuery('.mercury-row .columns').removeClass('selected');
      jQuery('.mercury-row .checkbox.vm').removeAttr('checked');
      
      jQuery('.pane-all-vm .views-table .checkbox').removeAttr('checked');        
      jQuery('.pane-all-vm .views-table .all-vm-checkbox').removeAttr('checked');        
      jQuery('.pane-all-vm .views-table td.views-field').removeClass('selected');
            
      jQuery('.mercury-row.no-flash .checkbox.vm').attr('checked', 'checked');
      jQuery('.mercury-row.no-flash .columns').addClass('selected');
      jQuery('.pane-all-vm .views-table tr.no-flash td.views-field').addClass('selected');
      jQuery('.pane-all-vm .views-table tr.no-flash .checkbox').attr('checked', 'checked');
      var nothing_checked = 0;
      jQuery('.mercury-row .checkbox').each(function(index) {
        var is_checked = jQuery(this).attr('checked');
        if (is_checked) {
            nothing_checked = 1;
        }
      });
      if (nothing_checked == 0) {
        jQuery('#block-mercury_utilities-bulk_actions_vm_block').css('display', 'none');
      } else {
        jQuery('#block-mercury_utilities-bulk_actions_vm_block').css('display', 'block');
      }
    });   
    
    
    /**
     * Function fo VM UnselectAll on Home Page
     */
    jQuery('.unselector-tool-item-vm').click(function(e){
        e.preventDefault();
        jQuery(this).parent('li').addClass('selected');
        jQuery(this).parents('ul').children('.vm-selector').removeClass('selected');
        jQuery(this).parents('ul').children('ul.vm_refine').children('.refine-leaf').removeClass('selected');
        jQuery('#block-vm-refine').css('display', 'none');
        jQuery('#block-mercury_utilities-bulk_actions_vm_block').css('display', 'none');
        
        jQuery('.header-checkbox .checkbox.vm-header').removeAttr('checked');
        jQuery('.columns').removeClass('selected');
        jQuery('.mercury-row .checkbox.vm').each(function(index) {
        	jQuery('.mercury-row .checkbox.vm').removeAttr('checked','checked');            
        });
        
        jQuery('.header-checkbox .checkbox.datacenter-header').each(function(index) {
        	jQuery('.header-checkbox .checkbox.datacenter-header').removeAttr('checked');
        });        
        
        jQuery('.pane-all-vm .views-table .checkbox').removeAttr('checked');
        jQuery('.pane-all-vm .views-table .all-vm-checkbox').removeAttr('checked');
        jQuery('.pane-all-vm .views-table td.views-field').removeClass('selected');         
        
     });
    
    /**
     * Selector Tool for vDisk
     */

    jQuery('.selector-tool-item-vdisk').click(function(e){
        e.preventDefault();

        jQuery('li.caching-disabled').removeClass('selected');
        jQuery('li.caching-enabled').removeClass('selected');

        if(vdisk == 0) {
          jQuery(this).parent('li').addClass('selected');
          //jQuery('.mercury-host-block .checkbox').removeAttr('checked');
          jQuery('.vdisk-row .checkbox').attr('checked','checked');
          //jQuery('.mercury-host-block').find('.mercury-row').removeClass('selected');
          jQuery('.vdisk-row').addClass('selected');

          jQuery('.host-row .expand-collapse').removeClass('plus');
          jQuery('.mercury-host-block .host-details-info').slideDown();

          jQuery('.vm-row .expand-collapse').removeClass('plus');
          
          jQuery('.mercury-vm-block .mercury-vdisk-block').slideDown();
          
          vdisk = 1;

          jQuery('#block-menu-menu-refine').css('display', 'block');
          jQuery('#block-menu-menu-refine li a.refine-item-caching').css('display', 'block');
					
                         
	/*Display all the Vdisk Bulk actions menus
            jQuery('#block-mercury_utilities-bulk_actions_block').css('display', 'block');
            jQuery('#change_cache_mode a').css('display', 'block');
            jQuery('#change_cache_state a').css('display', 'block');*/
            SetCookie('expand_all',1);
            SetCookie('expanded_host','');
        }
        else {
          
          jQuery(this).parent('li').removeClass('selected');
          jQuery('.vdisk-row .checkbox').removeAttr('checked','checked');
          jQuery('.vdisk-row').removeClass('selected');
          vdisk = 0;

          if(host == 0 && vm == 0 ){
              jQuery('#block-menu-menu-refine').css('display', 'none');
              
               /*Hide Bulk action block
               jQuery('#block-mercury_utilities-bulk_actions_block').css('display', 'none');
               jQuery('#block-mercury_utilities-bulk_actions_block li a').css('display', 'none');*/
          }
          jQuery('#block-menu-menu-refine li a.refine-item-caching').css('display', 'none');

        }
        

        var is_checked = jQuery('.mercury-row .checkbox.vdisk').attr('checked');
        var select_none = 0;
        var select_none_vm = 0;
        var select_none_host = 0;
        if(is_checked) {
            jQuery('#block-mercury_utilities-bulk_actions_block h2.block-title').css('display','block');
            jQuery('#bulk_actions_block_menus #change_cache_mode').css('display','block');
            jQuery('#bulk_actions_block_menus #change_cache_state').css('display','block');
            jQuery('#bulk_actions_block_menus #change_cache_metrics').css('display','block');
        } else {
            jQuery('.mercury-row .checkbox.vdisk').each(function(index) {
                var is_checked = jQuery(this).attr('checked');
                if(is_checked) {
                    select_none = 1;
                }
            });
            if (select_none == 0) {
                jQuery('.mercury-row .checkbox.vm').each(function(index) {
                    var is_checked = jQuery(this).attr('checked');
                    if(is_checked) {
                        select_none_vm = 1;
                    }
                });
                if (select_none_vm == 0) {
                    jQuery('#bulk_actions_block_menus #change_cache_mode').css('display','none');
                    jQuery('#bulk_actions_block_menus #change_cache_state').css('display','none');
                    jQuery('#bulk_actions_block_menus #change_cache_metrics').css('display','none');
                    jQuery('.mercury-row .checkbox.host').each(function(index) {
                        var is_checked = jQuery(this).attr('checked');
                        if(is_checked) {
                            select_none_host = 1;
                        }
                    });
                    if (select_none_host == 0) {
                        jQuery('#block-mercury_utilities-bulk_actions_block h2.block-title').css('display','none');
                    }
                }    
            }
        }
    });

    jQuery('.selector-tool-item-unselect-all').click(function(e){
      e.preventDefault();
      jQuery('#block-mercury_utilities-bulk_actions_block h2.block-title').css('display','none');
      jQuery('.mercury-host-block .checkbox').removeAttr('checked');
      jQuery('.mercury-host-block .mercury-row').removeClass('selected');

      jQuery('#block-menu-menu-refine').css('display', 'none');
      jQuery('#block-menu-menu-refine li a.refine-item-caching').css('display', 'none');
      jQuery('#block-menu-menu-refine li a.refine-item-flash-accel').css('display', 'none');

    

      jQuery('#block-menu-menu-refine li').removeClass('selected');
      jQuery('#block-menu-menu-selector-tool li').removeClass('selected');
      jQuery('#bulk_actions_block_menus #install_bundle').css('display','none');
        jQuery('#bulk_actions_block_menus #uninstall_bundle').css('display','none');
        jQuery('#bulk_actions_block_menus #install_flash_msi').css('display','none');
        jQuery('#bulk_actions_block_menus #uninstall_flash_msi').css('display','none');
        jQuery('#bulk_actions_block_menus #change_cache_mode').css('display','none');
        jQuery('#bulk_actions_block_menus #change_cache_state').css('display','none');
        jQuery('#bulk_actions_block_menus #change_cache_metrics').css('display','none');
       /*jQuery('li.caching-disabled').removeClass('selected');
       jQuery('li.caching-enabled').removeClass('selected');
       jQuery('li.flash-accel-not-installed').removeClass('selected');
       jQuery('li.flash-accel-installed').removeClass('selected');*/

      vdisk = 0;
      vm =0;
      host = 0;
      //add_id_to_bulk_action_link();
      
    });
    jQuery('.refine-item-flash-accel-installed,').click(function(e){
        e.preventDefault();

        jQuery(this).parent('li').addClass('selected');
        jQuery('li.flash-accel-not-installed').removeClass('selected');
        
        /*Hide bulk action
        jQuery('#install_bundle a').css('display', 'none');
        jQuery('#uninstall_bundle a').css('display', 'none');
        jQuery('#install_flash_msi a').css('display', 'none');
        jQuery('#uninstall_flash_msi a').css('display', 'none');
        if(host == 0 && vm == 0 && vdisk == 0 ) {
            jQuery('#block-mercury_utilities-bulk_actions_block').css('display', 'none');
        }*/
        if(host == 1) {
            jQuery('.mercury-host-block .host-row .checkbox').removeAttr('checked');
            jQuery('.mercury-host-block .host-row').removeClass('selected');
						
						/*Display Install Bundle for the Host Bulk actions menus					  
					  jQuery('#block-mercury_utilities-bulk_actions_block').css('display', 'block');
                                          jQuery('#uninstall_bundle a').css('display', 'block');*/
						
        }
        if(vm == 1) {
            jQuery('.mercury-host-block .vm-row .checkbox').removeAttr('checked');
            jQuery('.mercury-host-block .vm-row').removeClass('selected');
						
                                           /*Display Install Bundle for the Host Bulk actions menus					  
					  jQuery('#block-mercury_utilities-bulk_actions_block').css('display', 'block');
                                          jQuery('#uninstall_flash_msi a').css('display', 'block');*/
					  
        }
        if(host == 1){
            jQuery('.mercury-host-block .host-row .flash').attr('checked','checked');
            jQuery( '.host-row input.flash').parents('.mercury-row').addClass('selected');
        }
        if(vm == 1){
            jQuery('.mercury-host-block .vm-row .flash').attr('checked','checked');
            jQuery( '.vm-row input.flash').parents('.mercury-row').addClass('selected');
        }
    });

    jQuery('.refine-item-no-flash').click(function(e){
        
         e.preventDefault();

        jQuery(this).parent('li').addClass('selected');
        jQuery('li.flash-accel-installed').removeClass('selected');
        
         /*Hide bulk action
        jQuery('#install_bundle a').css('display', 'none');
        jQuery('#uninstall_bundle a').css('display', 'none');
        jQuery('#install_flash_msi a').css('display', 'none');
        jQuery('#uninstall_flash_msi a').css('display', 'none');
        if(host == 0 && vm == 0 && vdisk == 0 ) {
            jQuery('#block-mercury_utilities-bulk_actions_block').css('display', 'none');
        }*/

        if(host == 1) {
            jQuery('.mercury-host-block .host-row .checkbox').removeAttr('checked');
            jQuery('.mercury-host-block .host-row').removeClass('selected');
						
					
						/*Display Install Bundle for the Host Bulk actions menus					  
					  jQuery('#block-mercury_utilities-bulk_actions_block').css('display', 'block');
                                          jQuery('#install_bundle a').css('display', 'block');*/
        }
        if(vm == 1) {
            jQuery('.mercury-host-block .vm-row .checkbox').removeAttr('checked');
            jQuery('.mercury-host-block .vm-row').removeClass('selected');
						
							
                                           /*Display Install Bundle for the Host Bulk actions menus					  
					  jQuery('#block-mercury_utilities-bulk_actions_block').css('display', 'block');
                                          jQuery('#install_flash_msi a').css('display', 'block');*/
					  
        }
        if(host == 1){
            jQuery('.mercury-host-block .host-row .no_flash').attr('checked','checked');
            jQuery( '.host-row input.no_flash').parents('.mercury-row').addClass('selected');
        }
        if(vm == 1){
            jQuery('.mercury-host-block .vm-row .no-flash').attr('checked','checked');
            jQuery( '.vm-row input.no-flash').parents('.mercury-row').addClass('selected');
        }
    });

    jQuery('.refine-item-caching-enabled').click(function(e){
        e.preventDefault();


        jQuery(this).parent('li').addClass('selected');
        jQuery('li.caching-disabled').removeClass('selected');


        jQuery('.mercury-host-block .vdisk-row .checkbox').removeAttr('checked');
        jQuery('.mercury-host-block .vdisk-row').removeClass('selected');

        jQuery('.mercury-host-block .cache-enabled').attr('checked','checked');
        jQuery( 'input.cache-enabled').parents('.mercury-row').addClass('selected');
    });

    jQuery('.refine-item-caching-disaabled').click(function(e){
        e.preventDefault();

        jQuery(this).parent('li').addClass('selected');
        jQuery('li.caching-enabled').removeClass('selected');

        jQuery('.mercury-host-block .vdisk-row .checkbox').removeAttr('checked');
        jQuery('.mercury-host-block .vdisk-row').removeClass('selected');

        jQuery('.mercury-host-block .cache-disabled').attr('checked','checked');
        jQuery( 'input.cache-disabled').parents('.mercury-row').addClass('selected');
    });




     jQuery('.mercury-host-block .host-row .checkbox').change(function(){
         if(this.checked) {
             jQuery(this).parents('.host-row').addClass('selected');
         }
         else {
             jQuery(this).parents('.host-row').removeClass('selected');
         }
     });
      jQuery('.mercury-host-block .vm-row .checkbox').change(function(){
         if(this.checked) {
             jQuery(this).parents('.vm-row').addClass('selected');
         }
         else {
             jQuery(this).parents('.vm-row').removeClass('selected');
         }
     });

     jQuery('.mercury-host-block .vdisk-row .checkbox').click(function(){
         if(this.checked) {
             jQuery(this).parents('.vdisk-row').addClass('selected');
         }
         else {
             jQuery(this).parents('.vdisk-row').removeClass('selected');
         }
     });
     
     jQuery('.mercury-host-block .device-row .checkbox').click(function(){
         if(this.checked) {
             jQuery(this).parents('.device-row').addClass('selected');
         }
         else {
             jQuery(this).parents('.device-row').removeClass('selected');
         }
     });
     
     jQuery('.mercury-host-block .vdisk-row').click(function(){
         if(this.checked) {
             jQuery(this).parents('.vdisk-row').addClass('selected');
         }
         else {
             jQuery(this).parents('.vdisk-row').removeClass('selected');
         }
         
     });
     
    jQuery('.mercury-row .checkbox.host').click(function(index) {
      var is_checked = jQuery(this).attr('checked');
      var select_none = 0;
      var select_none_vm = 0;
      var select_none_vdisk = 0;
      if(is_checked) {
        jQuery('#block-mercury_utilities-bulk_actions_block h2.block-title').css('display','block');
        jQuery('#bulk_actions_block_menus #install_bundle').css('display','block');
        jQuery('#bulk_actions_block_menus #uninstall_bundle').css('display','block');
      } else {
        jQuery('.mercury-row .checkbox.host').each(function(index) {
            var is_checked = jQuery(this).attr('checked');
            if(is_checked) {
                select_none = 1;
            }
        });
        if (select_none == 0) {
          jQuery('#bulk_actions_block_menus #install_bundle').css('display','none');
          jQuery('#bulk_actions_block_menus #uninstall_bundle').css('display','none');
          jQuery('.mercury-row .checkbox.vm').each(function(index) {
            var is_checked = jQuery(this).attr('checked');
            if(is_checked) {
              select_none_vm = 1;
            }
          });
          if (select_none_vm == 0) {
            jQuery('.mercury-row .checkbox.vdisk').each(function(index) {
              var is_checked = jQuery(this).attr('checked');
              if(is_checked) {
                select_none_vdisk = 1;
              }
            });
            if (select_none_vdisk == 0) {
              jQuery('#block-mercury_utilities-bulk_actions_block h2.block-title').css('display','none');
            }
          }
        }
      }
    });
    
    /**
     * Function to select/unselect all VMs under a Datacenter
     */
    jQuery('.mercury-host-block .header-checkbox .checkbox').click(function(index) {    	
    	var is_checked = jQuery(this).attr('checked');
    	var get_row = jQuery(this).val();
    	var select_none = 0;
    	
    	if(is_checked) {
            jQuery('#block-mercury_utilities-bulk_actions_vm_block').css('display','block');            
            jQuery('#block-vm-refine').css('display', 'block');
            jQuery('#host-block-'+get_row+' .columns').addClass('selected');
            
            jQuery('#host-block-'+get_row+' .mercury-row .checkbox.vm').each(function(index) {
            jQuery('#host-block-'+get_row+' .mercury-row .checkbox.vm').attr('checked', 'checked');
            });
            
        } else {        	
            jQuery('#host-block-'+get_row+' .columns').removeClass('selected');
            
            jQuery('#host-block-'+get_row+' .mercury-row .checkbox.vm').each(function(index) {
            	jQuery('#host-block-'+get_row+' .mercury-row .checkbox.vm').attr('checked', '');            	
            });
            
            jQuery('.mercury-row .checkbox.vm').each(function(index) {
                var is_checked = jQuery(this).attr('checked');
                if(is_checked) {
                    select_none = 1;
                }
            });
            if (select_none == 0) {            	
            	jQuery('#block-mercury_utilities-bulk_actions_vm_block').css('display','none');            	
            	jQuery('#block-vm-refine').css('display', 'none');
            }
        }
    	
    jQuery('.wrench-menu-vm').each(function() {
			if (jQuery(this).is(':visible')) {
				jQuery(this).hide();
				jQuery('img.wrench').attr('src','/sites/all/modules/custom/mercury_utilities/images/wrench.png');
			}
		});
      });
    
    /**
     * Function to select/unselect individual VM Row on Home Page
     */
    jQuery('.mercury-row .checkbox.vm').click(function(index) {
        var is_checked = jQuery(this).attr('checked');
        var select_none = 0;
        var select_none_vdisk = 0;
        var select_none_host = 0;
        var get_row = jQuery(this).val();
        if(is_checked) {
            jQuery('.vm-unselector').removeClass('selected');
            jQuery('#block-mercury_utilities-bulk_actions_vm_block').css('display','block');
            jQuery('#vm-'+get_row+' .columns').addClass('selected');            
        } else {
            var selector = jQuery(this).attr('class');
            var id_selector = selector.split(' ');
            jQuery('.header-checkbox .checkbox.'+id_selector[1]).removeAttr('checked');
            jQuery('.vm-selector').removeClass('selected');
            jQuery('#vm-'+get_row+' .columns').removeClass('selected');
            jQuery('.mercury-row .checkbox.vm').each(function(index) {
                var is_checked = jQuery(this).attr('checked');
                if(is_checked) {
                    select_none = 1;
                }
            });
            if (select_none == 0) {            	
            	jQuery('#block-mercury_utilities-bulk_actions_vm_block').css('display','none');
              jQuery('#block-vm-refine').css('display', 'none');
            }
        }
        
        jQuery('.wrench-menu-vm').each(function() {
        if (jQuery(this).is(':visible')) {
            jQuery(this).hide();
            jQuery('img.wrench').attr('src','/sites/all/modules/custom/mercury_utilities/images/wrench.png');
        }
        });
    });
    
    jQuery('.mercury-row .checkbox.vdisk').click(function(index) {
        var is_checked = jQuery(this).attr('checked');
        var select_none = 0;
        var select_none_vm = 0;
        var select_none_host = 0;
        if(is_checked) {
            jQuery('#block-mercury_utilities-bulk_actions_block h2.block-title').css('display','block');
            jQuery('#bulk_actions_block_menus #change_cache_mode').css('display','block');
            jQuery('#bulk_actions_block_menus #change_cache_state').css('display','block');
            jQuery('#bulk_actions_block_menus #change_cache_metrics').css('display','block');
        } else {
            jQuery('.mercury-row .checkbox.vdisk').each(function(index) {
                var is_checked = jQuery(this).attr('checked');
                if(is_checked) {
                    select_none = 1;
                }
            });
            if (select_none == 0) {
                jQuery('.mercury-row .checkbox.vm').each(function(index) {
                    var is_checked = jQuery(this).attr('checked');
                    if(is_checked) {
                        select_none_vm = 1;
                    }
                });
                if (select_none_vm == 0) {
                    jQuery('#bulk_actions_block_menus #change_cache_mode').css('display','none');
                    jQuery('#bulk_actions_block_menus #change_cache_state').css('display','none');
                    jQuery('#bulk_actions_block_menus #change_cache_metrics').css('display','none');
                    jQuery('.mercury-row .checkbox.host').each(function(index) {
                        var is_checked = jQuery(this).attr('checked');
                        if(is_checked) {
                            select_none_host = 1;
                        }
                    });
                    if (select_none_host == 0){
                        jQuery('#block-mercury_utilities-bulk_actions_block h2.block-title').css('display','none');
                    }
                }    
            }
        }
    });
     
    jQuery('.host-details-info .mercury-vm-block .form-checkbox').click(function() {
        var is_checked = jQuery(this).attr('checked');
        if (is_checked) {
            var id = jQuery(this).parents('.mercury-host-block').attr('id');
            var path = "#"+id+" .host-row .form-checkbox";
            jQuery(path).attr('checked','checked');
        }
    });

    jQuery('.host-row .row-title .form-checkbox').click(function() {
        var is_checked = jQuery(this).attr('checked');
        if (!is_checked) {
            var id = jQuery(this).parents('.host-row').attr('id');
            var path = ".host-details-info ."+id+" .form-checkbox";
            jQuery(path).each(function(index) {
                jQuery(path).removeAttr('checked');
            });
        }
    }); 
    jQuery('#mercury-management-rediscover-confirm #edit-submit').live('click', function() {
        jQuery("#edit-submit").hide();
        jQuery('a.close').hide();
        //jQuery(".processing").show();
        jQuery('#mercury-management-rediscover-confirm #edit-cancel').show();
        showDiscoveryPerentage();
        jQuery("#redisc_mesg").append("<div class=\"flash-status-message\"><span class=\"flash-status-message-span\">Discovery in progress. Please wait until discovery completes."); 
    });
    jQuery('#mercury-management-rediscover-confirm #edit-submit--2').live('click', function() {
        jQuery("#edit-submit--2").hide();
        jQuery('a.close').hide();
        jQuery('#mercury-management-rediscover-confirm #edit-cancel').show();
        //jQuery(".processing").show();
        showDiscoveryPerentage();
        jQuery("#redisc_mesg").append("<div class=\"flash-status-message\"><span class=\"flash-status-message-span\">Discovery in progress. Please wait until discovery completes."); 
    });
    /*
    jQuery('#mercury-utilities-vm-settings-allocate-cachespace #edit-submit').live('click', function() {
    	jQuery('#edit-submit').submit(function(){return false;});
        //jQuery('#edit-submit').hide();
        //jQuery('.form-item-num-segments-manually').hide();
        //jQuery('a.close').hide();
        //jQuery(".processing").show();
        //jQuery('.transfer-slider').hide();
        
        var cache_min = jQuery('#mercury-utilities-vm-settings-allocate-cachespace #cache_min_val').val();
        var cache_max = jQuery('#mercury-utilities-vm-settings-allocate-cachespace #cache_max_val').val();
        
        jQuery('#mercury-utilities-vm-settings-allocate-cachespace #cache_error_mesg').html(cache_min + ' ' + cache_max);

    });
    */
    jQuery('#mercury-management-rediscover-confirm #edit-cancel').live('click', function() {
      // jQuery('a.close').click();
       jQuery("#redisc_mesg").html('');
       jQuery("#redisc_mesg").html('<div class = "flash-status-message"><span class = "flash-status-message-span">Terminating rediscovery. Please wait until rediscovery stops.</span></div>');
       var request = '/rediscover/cancel'; 
		jQuery.ajax({
			url: request,
			//async: false,
			//context: document.body,
			success: function(data){
				//window.location = Drupal.settings.basePath;
				location.reload();
			}
		});
    });
    jQuery('.rediscover-load-popup').live('click', function() {
        // jQuery('a.close').click();
         jQuery("#redisc_mesg").append('<div class = "flash-status-message"><span class = "flash-status-message-span">Terminating rediscovery. Please wait until rediscovery stops.</span></div>');
         var request = '/rediscover/cancel'; 
  		jQuery.ajax({
  			url: request,
  			//async: false,
  			//context: document.body,
  			success: function(data){
  				//window.location = Drupal.settings.basePath;
  				location.reload();
  			}
  		});
      });
    jQuery('#mercury-utilities-vm-settings-form .form-text').keypress(function(event) {
        if ( event.keyCode == 13 ) {
            event.preventDefault();
            jQuery('#edit-submit').click();
        }
    });
    jQuery('#mercury-utilities-host-settings-form .form-text').keypress(function(event) {
        if ( event.keyCode == 13 ) {
            event.preventDefault();
            jQuery('#edit-submit').click();
        }
    });
    
    
    /**
     * Checking if the Enable Migration is checked on Migration Settings page OnLoad
     */
    var is_migration_checked = jQuery('#edit-enable-migration').attr('checked');
    if (!is_migration_checked) {        	
       jQuery(".form-type-radio .form-radio").attr("disabled", "disabled");
    } else {
       jQuery(".form-type-radio .form-radio").removeAttr("disabled", "disabled");
    }
    
    /**
     * Checking if the Enable Migration is checked on Migration Settings page OnClick
     */
    jQuery('#edit-enable-migration').click(function(event) {
    	var is_checked = jQuery(this).attr('checked');
        if (!is_checked) {        	
            jQuery(".form-type-radio .form-radio").attr("disabled", "disabled");
        } else {        	
        	jQuery(".form-type-radio .form-radio").removeAttr("disabled", "disabled");
        }
    });  
    

    //var selected_hosts = new Array();
    //var selected_vms = new Array();
    //var selected_disks = new Array();
    //jQuery('input.checkbox').change(function(){
    //    var id = jQuery(this).parents('.mercury-row').attr('id');
    //    var split_id = id.split('-');
    //    if (jQuery(this).is(':checked')) {
    //        switch (split_id[0]) {
    //            case 'host':
    //                selected_hosts.push(split_id[1]);
    //                break;
    //        }
    //    } else {
    //        switch (split_id[0]) {
    //            case 'host':
    //                selected_hosts.splice(jQuery.inArray(split_id[1], selected_hosts), 1);
    //                break;
    //        }
    //    }
    //});
// 		
});

/**
 * Function to add the Table Sorted in Host,VM and Home page listings
 */
Drupal.behaviors.mercuryUtilities = {
'attach': function(context, settings) {
    table_sorter();
}
};
//jquery table sorter
function table_sorter() {
    if((typeof jQuery.tablesorter) == 'object') {
    	
    	jQuery.tablesorter.addParser({ 
    	    // set a unique id 
    	    id: 'thousands',
    	    is: function(s) { 
    	        // return false so this parser is not auto detected 
    	        return false; 
    	    }, 
    	    format: function(s) {
    	        // format your data for normalization 
    	        return s.replace('GB','').replace(/,/g,'');
    	    }, 
    	    // set type, either numeric or text 
    	    type: 'numeric' 
    	});
    	//Table sort in Metrics display 
        jQuery('table.metrics').tablesorter({ 
        // pass the headers argument and assing a object 
            headers: { 
                // assign the secound column (we start counting zero) 
                3: {sorter: false}, 
                4: {sorter: false},
                5: {sorter: false},
                6: {sorter: false} 
            } ,
            sortList: [[0,0]]
        });
        //Tables sorting in Home Page
        jQuery('.mercury-host-block .views-table').tablesorter({
          widgets: ['saveSort'],
          widgetOptions : {
              // if false, the sort will not be saved for next page reload
              saveSort : true
          } ,
          // pass the headers argument and assing a object 
          headers: {
            0: {sorter: false},
            2: {sorter: 'thousands'},
            5: {sorter: false},
            6: {sorter: false}
          } ,
          sortList: [[1,0]]          
        });
        //Table sort in VM inventory page
        jQuery('.pane-all-vm table.views-table').tablesorter({
        	/*widgets: ['saveSort'],
            widgetOptions : {
                // if false, the sort will not be saved for next page reload
                saveSort : true
            } ,*/
        // pass the headers argument and assing a object 
            headers: {
            	0: {sorter: false},
            	3: {sorter: 'thousands'},
              6: {sorter: false}
            }
            //sortList: [[1,0]]
        });
        //Table sort in Host Inventory page
        jQuery('.pane-all-host table.views-table').tablesorter({ 
        	widgets: ['saveSort'],
            widgetOptions : {
                // if false, the sort will not be saved for next page reload
                saveSort : true
            } ,
        // pass the headers argument and assing a object 
            headers: { 
            	0: {sorter: false},
            	4: {sorter: 'thousands'},
            	5: {sorter: 'thousands'},
                6: {sorter: false}
            } ,
            sortList: [[1,0]]
        }); 
        
      //Table sort in vDisk Inventory page
        jQuery('.mercury-vm-block table.views-table').tablesorter({ 
        	widgets: ['saveSort'],
            widgetOptions : {
                // if false, the sort will not be saved for next page reload
                saveSort : true
            } ,
        // pass the headers argument and assing a object 
            headers: { 
            	0: {sorter: false},                
                7: {sorter: false}
            } ,
            sortList: [[1,0]]
        }); 
    }
}

function SetCookie(cookieName,cookieValue,nDays) {
 var today = new Date();
 var expire = new Date();
 if (nDays==null || nDays==0) nDays=1;
 expire.setTime(today.getTime() + 3600000*24*nDays);
 document.cookie = cookieName+"="+escape(cookieValue)
                 + ";expires="+expire.toGMTString();
}

function ReadCookie(cookieName) {
 var theCookie=" "+document.cookie;
 var ind=theCookie.indexOf(" "+cookieName+"=");
 if (ind==-1) ind=theCookie.indexOf(";"+cookieName+"=");
 if (ind==-1 || cookieName=="") return "";
 var ind1=theCookie.indexOf(";",ind+1);
 if (ind1==-1) ind1=theCookie.length; 
 return unescape(theCookie.substring(ind+cookieName.length+2,ind1));
}
