<?php
/**
 *  Flash Accel Management Console (FMC)
 *  Copyright (C) 2013, NetApp, Inc.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 *  Javascript
 *
 *    Farbtastic - Copyright (c) 2010 Matt Farina
 *
 *    jQuery - Copyright (c) 2010 John Resig
 *
 *    jQuery BBQ - Copyright (c) 2010 "Cowboy" Ben Alman
 *
 *    jQuery Cookie - Copyright (c) 2006 Klaus Hartl
 *
 *    jQuery Form - Copyright (c) 2010 Mike Alsup
 *
 *    jQuery Once - Copyright (c) 2009 Konstantin K\ufffdfer
 *
 *    jQuery UI - Copyright (c) 2010 by the original authors
 *      (http://jqueryui.com/about)
 *
 *    Sizzle.js - Copyright (c) 2010 The Dojo Foundation (http://sizzlejs.com/)
 *
 *  PHP
 *
 *    ArchiveTar - Copyright (c) 1997 - 2008 Vincent Blavet
 */

/**
 * This file contains functions for device wrench actions.
 */

/**
 * @deprecated not used and the whole node type should go away.
 */
function mercury_utilities_device_info_popup($device_id) {
  $output = '';
  $device_node = node_load($device_id);
  $device_name = $device_node->title;
  $device_type = field_get_items('node', $device_node, 'field_device_type');
  $device_display_name = field_get_items('node', $device_node, 'field_device_name');
  $device_is_offline = field_get_items('node', $device_node, 'field_is_offline');
  $device_is_local = field_get_items('node', $device_node, 'field_is_local');
  $device_model = field_get_items('node', $device_node, 'field_model');
  $device_serial_no = field_get_items('node', $device_node, 'field_serial_no');
  $device_size = field_get_items('node', $device_node, 'field_size');
  $device_vendor = field_get_items('node', $device_node, 'field_vendor');
  $related_host = field_get_items('node', $device_node, 'field_related_host');
  $host_id = !empty($related_host[0]['target_id']) ? $related_host[0]['target_id'] : '';
  $host_node = node_load($host_id);
  $segment_size = field_get_items('node', $host_node, 'field_segment_size');
  $allocated_segment = field_get_items('node', $host_node, 'field_allocated_segments');
  $total_segment = field_get_items('node', $host_node, 'field_total_segments');
  $cache_state = field_get_items('node', $host_node, 'field_cache_state');
  $first_part = number_format(($segment_size[0]['value'] * $allocated_segment[0]['value']) / 1073741824, 2, '.', '');
  $second_part = number_format(($segment_size[0]['value'] * $total_segment[0]['value']) / 1073741824, 2, '.', '');
  $device_state = field_get_items('node', $host_node, 'field_device_state');

  $output .= '<div class = "device-name-wrap"><span class = "device-name">' . $device_name . '</span><span class = "cache-size"><strong>Cache : ' . $first_part . 'GB / ' . $second_part . 'GB</strong></span></div>';
  $output .= '<div><span class = "overview-heading">Overview: </span></div>';
  $output .= '<div class = "popup-setting-page">';
  $output .= '<div class = "device-info-left">';
  $output .= '<div class = "device-type">Device Type: ' . $device_type[0]['value'] . '</div>';
  $output .= '<div class = "device-display-name">Display Name: ' . $device_display_name[0]['value'] . '</div>';
  $output .= '<div class = "device-is-offline">Is Offline: ' . $device_is_offline[0]['value'] . '</div>';
  // $output .= '<div class = "device-is-local">Is Local: ' . $device_is_local[0]['value'] . '</div>';
  $output .= '<div class = "device-model">Device Model: ' . $device_model[0]['value'] . '</div>';
  $output .= '</div>';
  $output .= '<div class = "device-info-right">';
  $output .= '<div class = "device-serial-no">Serial No: ' . $device_serial_no[0]['value'] . '</div>';
  //$output .= '<div class = "device-size">Device Size: ' . $device_size[0]['value'] . '</div>';
  if ($device_state[0]['value'] == 1) {
    $install = "Enabled";
  } else {
    $install = "Disabled";
  }
  $output .= '<div class = "device-status">Device State: ' . $install . '</div>';
  $output .= '<div class = "device-vendor">Device Vendor: ' . $device_vendor[0]['value'] . '</div>';
  $output .= '</div>';
  //$output .= '<div class = "close-popup"><span class = "mercury-button">' . l('Close', '') . '</span></div>';
  $output.= '</div>';
  return $output;
}
